<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Главная</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-fileinput@5.2.5/css/fileinput.min.css" media="all" rel="stylesheet" type="text/css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <a class="navbar-brand fw-bold" href="contract_list.html"><img src="logo.png" width="65px" height="65px" class="me-2">Фидес</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-between" id="navbarNav"> 
            <div class="btnGroupInTitile ms-5">
            </div>
            <div>
            <span class="navbar-text">
                
            </span>
            </div>
                <div class="modal fade" id="addContract" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                  <div class="modal-dialog">
                    <div class="modal-content">
                    <form id="formAddContract">
                      <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Добавить договор</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                      </div>
                      <div class="modal-body">
                          <div class="mb-3">
                        <input type="text" class="form-control" id="inputContractNumber" name="contractNumber" placeholder="№ договора">
                          </div>
                          <div class="mb-3">
                          <select class="form-select" id="inputGroupContractType" name="contractType">
                            <option selected>Выберите тип договора</option>
                            <option value="1">Аренда</option>
                            <option value="2">Поставка</option>
                            <option value="3">Возмездное оказание услуг</option>
                          </select>
                          </div>
                        <div class="mb-3">
                          <div class="input-group mb-3">
                                <input type="file" class="form-control" id="inputContractFile" aria-describedby="inputGroupFileAddon03" aria-label="Upload" name="contractFile" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf">
                            </div>                    
                          </div>
                      </div>
                      <div class="modal-footer">
                        <button type="button" class="btn btn-success" onclick="addContract(event)" data-bs-dismiss="modal" aria-label="Close">Добавить</button>
                      </div>
                    </form>
                    </div>
                  </div>
                </div>  
        </div>
      </div>
    </nav>


    <div class="card">
    <div class="card-body">
    <div id="table" class="table-editable">
      <span class="table-add float-right mb-3 mr-2">
      <a href="#!" class="text-success">
      <i class="fas fa-plus fa-2x" aria-hidden="true"></i></a>
      </span>
        <div id="nullContsImage" class="text-center">
<!--            <img src="nullContsImage.png" class="h-50 w-50">-->
        </div>
        <table class="table table-bordered table-responsive-md text-center table-hover" id="tableOfContracts">
        <thead id="tableOfContractsHead">
        </thead>
        <tbody id="tableOfContractsBody">
        </tbody>
        </table>
    </div>
    </div>
    </div>
    <script defer src="contract_list.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-fileinput@5.2.5/js/plugins/piexif.min.js" type="text/javascript"></script>
</body>
</html>